# IRW

Section: User Commands (1)
Updated: Last change: Aug 2015
Index Return to Main Contents

## NAME

irw - Send data from Unix domain socket to stdout

## SYNOPSIS

irw [socket]

## DESCRIPTION

irw will connect to any Unix domain socket and print the received data to stdout. Without a socket argument it will watch /var/run/lirc/lircd. Useful for debugging. Options:

-h --help
  Display usage summary
-v --version
  Display version

## SIGNALS

On receiving SIGUSR1 irw makes a clean exit.

## NOTES

Since the lircd socket supports multiple clients, irw can run in parallell with other applications. irw does nothing more than dumps a unix-domain socket, a task which many standard tools also can do. E. g., the ncat(1) tool can be used instead of irw to provide more flexibility (but without any sane default socket):

        ncat -U /var/run/lirc/lircd

## SEE ALSO

The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.

## Index

NAME
SYNOPSIS
DESCRIPTION
SIGNALS
NOTES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:50:27 GMT, September 01, 2016